template "/usr/local/bin/is_required_reboot" do
  owner "consul"
  group "consul"
  mode "0770"
  source "is_required_reboot.erb"
end

consul_definition 'required_reboot' do
  type 'check'
  parameters(name:'required_reboot',script: '/usr/local/bin/is_required_reboot', interval: '60s',timeout: "3s")
  notifies :reload, 'consul_service[consul]', :delayed
end